Bug 1119084 - RFE: alter lmdb.spec for easier el6 rebuild
Summary: RFE: alter lmdb.spec for easier el6 rebuild
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lmdb
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Jan Staněk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-13 22:32 UTC by Japheth Cleaver
Modified: 2014-08-07 15:28 UTC (History)
1 user (show)

Fixed In Version: lmdb-0.9.13-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-07 15:28:06 UTC


Attachments (Terms of Use)

Description Japheth Cleaver 2014-07-13 22:32:22 UTC
Description of problem:
lmdb RPM contains a mkdir syntax that is relatively recent and causes errors rebuilding with older versions of coreutils

Version-Release number of selected component (if applicable):
lmdb-0.9.11-3.fc21.src.rpm

How reproducible:
Always

Steps to Reproduce:
1. [el6]$ rpm -ivh lmdb-0.9.11-3.fc21.src.rpm
2. rpmbuild -ba lmdb.spec


Actual results:
+ mkdir -m=0755 -p /home/rpmbuild/rpm/BUILDROOT/lmdb-0.9.11-3.el6.x86_64/usr/bin /home/rpmbuild/rpm/BUILDROOT/lmdb-0.9.11-3.el6.x86_64/usr/include
mkdir: invalid mode `=0755'
error: Bad exit status from /home/rpmbuild/tmp/rpm-tmp.O5vG2M (%install)


Expected results:
Builds cleanly.

Additional info:
Using --mode is another option here, or simply using install -d as well.



--- lmdb.spec.el6       2014-06-26 01:39:47.000000000 -0700
+++ lmdb.spec   2014-07-13 15:14:27.690181001 -0700
@@ -67,2 +67,2 @@
-mkdir -m=0755 -p %{buildroot}%{_prefix}{/bin,/include}
-mkdir -m=0755 -p %{buildroot}{%{_libdir},%{_mandir}/man1}
+mkdir -m 0755 -p %{buildroot}%{_prefix}{/bin,/include}
+mkdir -m 0755 -p %{buildroot}{%{_libdir},%{_mandir}/man1}

Comment 1 Jan Staněk 2014-07-14 07:59:14 UTC
I applied the provided patch (at the bottom of the previous comment). The updated packages are available in rawhide.

Comment 2 Fedora Update System 2014-07-18 10:18:12 UTC
lmdb-0.9.13-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/lmdb-0.9.13-1.fc20

Comment 3 Fedora Update System 2014-07-19 06:07:35 UTC
Package lmdb-0.9.13-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lmdb-0.9.13-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8539/lmdb-0.9.13-1.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-08-07 15:28:06 UTC
lmdb-0.9.13-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.